# Generated from rubocop-rootstrap-1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-rootstrap

Name: rubygem-%{gem_name}
Version: 1.2
Release: 1%{?dist}
Summary: RuboCop Rootstrap
License: MIT
URL: https://github.com/rootstrap/rubocop-rootstrap
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(rspec) >= 3.9.0
# BuildRequires: rubygem(rspec) < 3.10
# BuildRequires: rubygem(simplecov) >= 0.17.1
# BuildRequires: rubygem(simplecov) < 0.18
BuildArch: noarch

%description
Rubocop with Rootstrap's code style.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/config
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.2-1
- Initial package
